import { OnInit, AfterViewInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ModalControl } from '../../../modal-control/modal-control.component';
import { GridColumn, GridExternalFilter } from '../../grid-control.model';
import { SettingService } from '../../../../services/setting/setting.service';
import { TranslateService } from '../../../../services/translate/translate.service';
import { NotifyService } from '../../../../services/notify/notify.service';
import { DeviceDetectorService } from 'ngx-device-detector';
export declare class GridPopupQuickFilterDetailComponent implements OnInit, AfterViewInit {
    private ref;
    private settingService;
    private notifyService;
    private translateService;
    displayKey: string;
    isMobileOrTablet: boolean;
    modal: ModalControl;
    accept: EventEmitter<any>;
    fields: Field[];
    selectableFields: Field[];
    columns: GridColumn[];
    externalFilters: GridExternalFilter[];
    filter: Filter;
    externalFilter: Filter;
    selectedFields: string[];
    page: 1 | 2;
    code: string;
    constructor(ref: ChangeDetectorRef, deviceService: DeviceDetectorService, settingService: SettingService, notifyService: NotifyService, translateService: TranslateService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    open(columns: GridColumn[], externalFilters: GridExternalFilter[], filter?: Filter, externalFilter?: Filter, code?: string): void;
    onAccept: () => void;
    onCancel: () => void;
    onSelectField: (values: string[]) => void;
}
interface Field {
    group: 'column' | 'external';
    type: string;
    code: string;
    title?: string;
    fromTitle?: string;
    toTitle?: string;
}
interface Filter {
    [field: string]: any;
}
export {};
